import request from '@/utils/request'
	
/**
 * @Descripttion: 物流公司Api接口
 * @version: (1.0)
 * @Author: (黎文豪)
 * @Date: (2023-06-18)
 * @LastEditors: (黎文豪)
 * @LastEditTime: (2023-06-18)
*/

// 物流公司分页查询列表
export function logisticsCompanyList(query) {
  return request({
    url: '/business/LogisticsCompany/getLogisticsCompanyList',
    method: 'get',
    params: query
  })
}

// 物流公司新增或修改
export function addOrUpdateLogisticsCompany(data) {
  return request({
    url: '/business/LogisticsCompany/addOrUpdateLogisticsCompany',
    method: 'post',
    data: data,
  })
}

// 物流公司删除
export function delLogisticsCompany(ids) {
  return request({
    url: '/business/LogisticsCompany/'+ ids,
    method: 'delete'
  })
}

// 物流公司导出
export function exportLogisticsCompany(query) {
  return request({
    url: 'business/LogisticsCompany/exportLogisticsCompany',
    method: 'get',
    params: query
  })
}

